<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\Anmeldung\NewTeilnehmer;

class NewTeilnehmerController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new NewTeilnehmerUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new NewTeilnehmerRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new NewTeilnehmerPresenter($pUseCaseResponse);
  }
}